Skip to main content

GET v3/stock

GET 

/v3/stock

List stock per product and stock location, with pagination.

The GET v3/stock endpoint will return up to 100 stock records at a time. The definition of stock is products at a stockLocation with shared characteristics. This means that whenever two identical products are located at the same stockLocation, that both share all related attributes such as lotNumber, expirationDate, etc.

Pagination​

The endpoint supports pagination to split the large collection of resources into smaller, more manageable chunks or pages. This helps to reduce the response size and to improve performance. The endpoint supports only cursor-based technique for pagination.

Filters​

The GET v3/stock endpoint supports filtering on the attributes sku, locationType and modifiedOn. Each of these are explained below. Filters can be used in combination with eachother and with pagination to allow full access to the desired subset of stock.

Filtering on modifiedOn​

The results returned by this service can be filtered based on the modification date (and time) of the stock. To do so make use of the filter[modifiedOn] parameter in the following manner:

  • GET {host}/v3/stock?filter[modifiedOn][lt]={date} will return stock that has been modified before the provided date. Stock that has been modified on that date is not included in the results.
  • GET {host}/v3/stock?filter[modifiedOn][gt]={date} will return stock that has been modified after the provided date. Stock that has been modified on that date is not included in the results.
  • GET {host}/v3/stock?filter[modifiedOn][gt]={date_1}&filter[modifiedOn][lt]={date_2} will return stock that have modified between dates {date_1} and {date_1}. Stock that has been modified on either date is not included in the results.

Filtering on locationType​

By specifying one or more locationType values the stock returned will be filtered on that type. See the documentation of locationType for more details on the options.

  • GET {host}/v3/stock?filter[locationType][in]=INBOUND,PALLET will return all stock on either location.

Filtering on sku​

By specifying the product sku it is possible to look for stock of that product specifically. Be aware that the SKU's must be URL encoded to avoid being interpreted incorrecly.

  • GET {host}/v3/stock?filter[sku][in]=09238532,TRS-001-1 will return the stock for the specified sku.

Filtering on expirationStatus​

By specifying one or more expirationStatus values the stock returned will be filtered on that status. See the documentation of expirationStatus for more details on the options.

The endpoint also supports -to some degree- the inclusion of information of related resources. This option is provided to allow clients used to the v2 version of the stock endpoint to be able to use the v3 version more seemlessly. To get the details of related entities the include parameter must be added to the URI in the following way:

  • GET {host}/v3/stock?include=stockLocation will return the stock with some stockLocation related details

Note: inclusion of product has been deprecated

Limitations of GET v3/stock​

  • At most 100 stock resources are returned regardles of the value provided by the page[size] query parameter.
  • Ordering is by id and in ascending order.
  • Users are rate-limited to 5000 requests per hour on this service.

Request​

Responses​

Response for the GET v3/stock endpoint